Tweeper 1.4.3 released, twitter to RSS conversion is back once again

Tweeper is a web scraper which converts Twitter and other social media websites to RSS.

On December 27th 2020 version 1.4.3 of Tweeper has been released. The tweeper Debian package has also been updated.

For PHP composer users there is also ao2/tweeper on packagist, which means that tweeper can be installed and run with these commands:

$ composer global require ao2/tweeper
$ ~/.config/composer/vendor/bin/tweeper

Version 1.4.3 is a maintenance release with a couple of fixes.

Here are the NEWS file entries:

News for v1.4.3:
================

  * Fix scraping twitter.com again by impersonating a Google crawler
  * Add check for http response code and return failure for error codes
  * Return failure when instagram.com redirects to login page


CommentsSyndicate content

I get this when I try to use

GunnarG's picture

I get this when I try to use compose:

Changed current directory to /home/user/.config/composer
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2
Using version ^1.4 for ao2/tweeper
./composer.json has been updated
Loading composer repositories with package information
Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

Problem 1
- friendsofphp/php-cs-fixer v2.10.4 requires php ^5.6 || >=7.0 <7.3 -> your PHP version (7.4.3) does not satisfy that requirement.
- friendsofphp/php-cs-fixer v2.10.4 requires php ^5.6 || >=7.0 <7.3 -> your PHP version (7.4.3) does not satisfy that requirement.
- friendsofphp/php-cs-fixer v2.10.4 requires php ^5.6 || >=7.0 <7.3 -> your PHP version (7.4.3) does not satisfy that requirement.
- Installation request for friendsofphp/php-cs-fixer (locked at v2.10.4, required as ^2.10) -> satisfiable by friendsofphp/php-cs-fixer[v2.10.4].

Using composer like this

GunnarG's picture

Using composer like this fixes the issue for me.
composer global require --ignore-platform-reqs ao2/tweeper

I think Instagram broke

Francesco's picture

I think Instagram broke tweeper.

 $ ~/media/vcs/tweeper/./tweeper https://instagram.com/instagram
PHP Warning:  Cannot open instagram page: redirected to Login page.
 in /home/f/media/vcs/tweeper/src/Tweeper.php on line 327

The redirect to the login

ao2's picture

The redirect to the login page is quite normal these days, Instagram detects and blocks scrapers in a lot of ways. Sometimes this redirect can be temporarily worked around by changing the IP address (e.g. by rebooting your modem).

Besides that, scraping Instagram has been indeed broken in Tweeper itself for some time, this change should fix it: https://git.ao2.it/tweeper.git/commitdiff/75c303bf7c570748a5564de6e266cc40f75b1697

Thanks, Antonio

And indeed I git pulled and

Francesco's picture

And indeed I git pulled and it works! tweeper is Godsent, reclaiming the web from social silos. Thanks again!

Since 23/06/2022 at evening

Anonymous's picture

Since 23/06/2022 at evening I'm getting empty list of tweets. For example:

$ tweeper -v0 https://twitter.com/ao2it
{?xml version="1.0"?}
{rss version="2.0" xml:base="https://twitter.com"}
{channel}
{generator}Tweeper{/generator}
{title}Twitter / {/title}
{link}https://twitter.com/ao2it{/link}
{description/}
{/channel}
{/rss}

NOTE: I replaced '<' for '{' and '>' for '}' because the content was unreadable in this web if was written in raw format (with "tag" style).

On 23/06/2002 at the morning it was working but it didn't work at the evening and still isn't working.

I try to purge tweeper package and the php's packages dependencies and I make a clean install from the tweeper 1.4.3 deb package, but stills isn't working (ubuntu). Also try to install on another machine (debian) and also have the same result: no errors, but empty list of tweets.

I'm not sure if tweeper uses twitter API, but checking the changelog seems there isn't any change since June 16th:
https://developer.twitter.com/en/updates/changelog

So, I'm not sure if this is a change of Twitter or the problem is on my machines. Anyone have the same issue? Any workaround to fix this?

Sorry for my english, isn't my mother tongue, and thanks in advance!

PS: Also force my router to

Anonymous's picture

PS: Also force my router to change the IP rebooting it (checked that the IP has changed) and still the same result.

Thanks again!

someone have the same

Anonymous's picture

someone have the same problem?

thanks in advance!

I have the same problem since

mk's picture

I have the same problem since June 23 continuously getting empty contents.

Thanks for reply! hope

Anonymous's picture

Thanks for reply! hope Antonio Ospite (Tweeper's coder) can fix this or explain us a workaround!

Post new comment

The content of this field is kept private and will not be shown publicly. If you have a Gravatar account associated with the e-mail address you provide, it will be used to display your avatar.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Allowed HTML tags: <a> <em> <strong> <cite> <code> <ul> <ol> <li> <dl> <dt> <dd>
  • Lines and paragraphs break automatically.

More information about formatting options

CAPTCHA
This question is for testing whether you are a human visitor and to prevent automated spam submissions.
e
h
f
2
y
w
Enter the code without spaces.